<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <RelativeLayout
            android:id="@+id/rlTop"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_237"
            android:background="@drawable/wallet_bg">

            <include layout="@layout/common_toolbar"></include>

        </RelativeLayout>

        <LinearLayout
            android:id="@+id/llTop"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_100"
            android:orientation="vertical">


            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_75"
                android:layout_marginLeft="@dimen/dp_15"
                android:layout_marginRight="@dimen/dp_15"
                android:background="@color/white"
                app:cardCornerRadius="@dimen/dp_8">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:padding="@dimen/dp_12">

                    <ImageView
                        android:id="@+id/ivHead"
                        android:layout_width="@dimen/dp_48"
                        android:layout_height="@dimen/dp_48"
                        android:background="@drawable/head_defaut" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                            <TextView
                                android:id="@+id/tvCapName"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="@dimen/dp_10"
                                android:text="王师傅的车队"
                                android:textColor="@color/black"
                                android:textSize="@dimen/sp_14" />

                            <TextView
                                android:id="@+id/tvStatu"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="@dimen/dp_6"
                                android:background="@drawable/shape_orange_5"
                                android:paddingLeft="@dimen/dp_4"
                                android:paddingTop="@dimen/dp_2"
                                android:paddingRight="@dimen/dp_4"
                                android:paddingBottom="@dimen/dp_2"
                                android:text="未认证"
                                android:textColor="#FF4A02"
                                android:textSize="@dimen/sp_9" />
                        </LinearLayout>

                        <TextView
                            android:id="@+id/tvPhone"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/dp_10"
                            android:text="司机：20    司机：20 "
                            android:textColor="@color/color_9"
                            android:textSize="@dimen/sp_14" />
                    </LinearLayout>


                    <View
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@drawable/right_gray" />
                </LinearLayout>

            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_54"
                android:layout_marginLeft="@dimen/dp_15"
                android:layout_marginTop="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_15"
                android:layout_marginBottom="@dimen/dp_14"
                android:background="@color/white"
                app:cardCornerRadius="@dimen/dp_8">

                <net.lucode.hackware.magicindicator.MagicIndicator
                    android:id="@+id/magicIndicator"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent" />


            </androidx.cardview.widget.CardView>
        </LinearLayout>


    </RelativeLayout>

    <androidx.viewpager2.widget.ViewPager2
        android:id="@+id/viewPager"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/llTop"
        android:layout_weight="1" />


    <LinearLayout
        android:id="@+id/llOk"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_70"
        android:layout_below="@+id/viewPager"
        android:background="@color/white"
        android:gravity="center"
        android:paddingLeft="@dimen/dp_15"
        android:paddingRight="@dimen/dp_15">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <LinearLayout
                android:id="@+id/llJoin"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/btnReject"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="2"
                    android:background="@drawable/shape_orange_5"
                    android:text="拒绝邀请"
                    android:textColor="@color/main_red"
                    android:textSize="@dimen/sp_17" />

                <Button
                    android:id="@+id/btnOk"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_12"
                    android:layout_weight="1"
                    android:background="@drawable/bg_btn"
                    android:text="立即加入"
                    android:textColor="@color/white"
                    android:textSize="@dimen/sp_17" />
            </LinearLayout>

            <Button
                android:id="@+id/btnQuit"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/bg_btn"
                android:text="退出车队"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_17"
                android:visibility="gone">

            </Button>
        </RelativeLayout>


    </LinearLayout>
</LinearLayout>